package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.JobNatureEnum;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2021/3/9 0009
 */
public class TeacherServeDto {

    private Date monday;

    private Date sunday;

    private Integer teacherId;

    private String teacherName;

    private String dateRange;

    private String organName;

    @ApiModelProperty(value = "作业次数（节）", required = false)
    private int homeworkNum;

    @ApiModelProperty(value = "作业次数（人）", required = false)
    private int homeworkStuNum;

    private int exerciseNum;

    private int unDone;

    private Date remindDate;

    private String operatorName;

    @ApiModelProperty(value = "工作性质（兼职 PART_JOB、全职FULL_JOB）", required = false)
    private JobNatureEnum jobNature;

    /** 预期训练次数 */
    private int expectExercisesNum;

    /** 实际训练次数 */
    private int actualExercisesNum;

    /** 提交训练次数 */
    private Integer exercisesReplyNum;

    /** 训练评价次数 */
    private Integer exercisesMessageNum;

    /** 及时训练评价次数 */
    private Integer exercisesMessageTimelyNum;

    /** 点评率 */
    private String exercisesMessageRate;

    /** 及时评价率 */
    private String exercisesMessageTimelyRate;

    @ApiModelProperty(value = "提交率")
    private String submitRate;

    public String getExercisesMessageTimelyRate() {
        return exercisesMessageTimelyRate;
    }

    public void setExercisesMessageTimelyRate(String exercisesMessageTimelyRate) {
        this.exercisesMessageTimelyRate = exercisesMessageTimelyRate;
    }

    public int getHomeworkStuNum() {
        return homeworkStuNum;
    }

    public void setHomeworkStuNum(int homeworkStuNum) {
        this.homeworkStuNum = homeworkStuNum;
    }

    public String getExercisesMessageRate() {
        return exercisesMessageRate;
    }

    public void setExercisesMessageRate(String exercisesMessageRate) {
        this.exercisesMessageRate = exercisesMessageRate;
    }

    public String getSubmitRate() {
        return submitRate;
    }

    public void setSubmitRate(String submitRate) {
        this.submitRate = submitRate;
    }

    public int getExpectExercisesNum() {
        return expectExercisesNum;
    }

    public void setExpectExercisesNum(int expectExercisesNum) {
        this.expectExercisesNum = expectExercisesNum;
    }

    public int getActualExercisesNum() {
        return actualExercisesNum;
    }

    public void setActualExercisesNum(int actualExercisesNum) {
        this.actualExercisesNum = actualExercisesNum;
    }

    public Integer getExercisesReplyNum() {
        return exercisesReplyNum;
    }

    public void setExercisesReplyNum(Integer exercisesReplyNum) {
        this.exercisesReplyNum = exercisesReplyNum;
    }

    public Integer getExercisesMessageNum() {
        return exercisesMessageNum;
    }

    public void setExercisesMessageNum(Integer exercisesMessageNum) {
        this.exercisesMessageNum = exercisesMessageNum;
    }

    public Integer getExercisesMessageTimelyNum() {
        return exercisesMessageTimelyNum;
    }

    public void setExercisesMessageTimelyNum(Integer exercisesMessageTimelyNum) {
        this.exercisesMessageTimelyNum = exercisesMessageTimelyNum;
    }

    public JobNatureEnum getJobNature() {
        return jobNature;
    }

    public void setJobNature(JobNatureEnum jobNature) {
        this.jobNature = jobNature;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public int getHomeworkNum() {
        return homeworkNum;
    }

    public void setHomeworkNum(int homeworkNum) {
        this.homeworkNum = homeworkNum;
    }

    public int getExerciseNum() {
        return exerciseNum;
    }

    public void setExerciseNum(int exerciseNum) {
        this.exerciseNum = exerciseNum;
    }

    public int getUnDone() {
        return unDone;
    }

    public void setUnDone(int unDone) {
        this.unDone = unDone;
    }

    public Date getRemindDate() {
        return remindDate;
    }

    public void setRemindDate(Date remindDate) {
        this.remindDate = remindDate;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public Date getMonday() {
        return monday;
    }

    public void setMonday(Date monday) {
        this.monday = monday;
    }

    public Date getSunday() {
        return sunday;
    }

    public void setSunday(Date sunday) {
        this.sunday = sunday;
    }

    public String getDateRange() {
        return dateRange;
    }

    public void setDateRange(String dateRange) {
        this.dateRange = dateRange;
    }
}
